# set

# Tag Name: set

## Description

Assigns a value to a variable in a specified scope

## Attributes

#### Name

#### Required

#### Default

#### Evaluated

#### Type

#### Description

id | false |  | true | String | id for referencing element. For UI and form tags it will be used as HTML id attribute
name | true |  | true | String | The name of the new variable that is assigned the value of value
scope | false | action | true | String | The scope in which to assign the variable. Can be application, session, request, page, or action.
value | false |  | true | String | The value that is assigned to the variable named name